Subject: Re: bug#9364: 23.3.50; inconsistent behavior of M-s o in regex isearch

From: Glenn Morris <[email-masked]>
Date: Wed, 24 Aug 2011 16:35:04 -0400

Eric Hanchrow wrote:

> I then typed M-C-s ^ SPC permission.  This did what I expected: it moved
> point forward until it was just after the word "Permission" on line 23.
>
> I then typed M-s o. I saw a message in the echo area:
>
>         Searched 1 buffer; no matches for `^ permission'

isearch-forward-regexp says:

  In regexp incremental searches, a space or spaces normally matches
  any whitespace (the variable `search-whitespace-regexp' controls
  precisely what that means).

occur does not have this feature.